Bug 64451 - Add a 'find all' button in the find bar
Summary: Add a 'find all' button in the find bar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: Other All
: medium enhancement
Assignee: Andrzej Hunt
QA Contact:
URL:
Whiteboard: target:4.2.0
Keywords: needsDevEval
Depends on:
Blocks:
 
Reported: 2013-05-11 03:38 UTC by Hyogapag
Modified: 2015-12-18 10:16 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hyogapag 2013-05-11 03:38:13 UTC
The 'find all' function is sometimes very convenient, but is quite difficult to… find. The fact a 'find' feature doesn't appear in the 'find bar' but only in the 'find and replace' window doesn't seem logical to me.

How about placing a 'find all' check box in the find bar?
Comment 1 Jorendc 2013-05-13 10:41:10 UTC
Thanks for reporting!

Looks a valid enhancement request, therefore marking it as such.
Looks also very related to Bug 63035, so I place it in the 'See also' field. Michael M also specify some code pointers over there. So anyone who is interested in fixing this -> take a look at bug 63035 for code pointers.
Comment 2 Andrzej Hunt 2013-05-23 09:03:53 UTC
Working on this! (Is very similar to https://bugs.freedesktop.org/show_bug.cgi?id=63035 as mentioned.)
Comment 3 Commit Notification 2013-05-28 14:21:40 UTC
Andrzej J.R. Hunt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e8352a90c2b6d9b20c71e3b2867169236bca13f5

fdo#64451 Add "Find All" to the Find bar.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jorendc 2013-06-07 15:04:14 UTC
Looks fixed to me with Linux Mint 15 x64 LibreOffice Version: 4.2.0.0.alpha0+
Build ID: 3c8d419f4ba4ea9fa4d00b5691900dae091fd3a

Thanks mr. Hunt :-)! I think we can mark this one as resolved fixed :)?

Kind regards,
Joren
Comment 5 Robinson Tryon (qubit) 2015-12-18 10:16:36 UTC
Migrating Whiteboard tags to Keywords: (ProposedEasyHack -> needsDevEval)
[NinjaEdit]